summaryrefslogtreecommitdiffstats
path: root/airootfs/root/.automated_script.sh
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2015-10-26 17:50:31 +0100
committerFlorian Pritz <bluewind@xinu.at>2015-10-26 17:50:31 +0100
commit7646f26e425b0997818c450543b9bf5c70b6a26e (patch)
tree786ec2378f384cde6959c10b6958f532ba5040b2 /airootfs/root/.automated_script.sh
downloadarchiso-config-7646f26e425b0997818c450543b9bf5c70b6a26e.tar.gz
archiso-config-7646f26e425b0997818c450543b9bf5c70b6a26e.tar.xz
initial commit
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'airootfs/root/.automated_script.sh')
-rwxr-xr-xairootfs/root/.automated_script.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/airootfs/root/.automated_script.sh b/airootfs/root/.automated_script.sh
new file mode 100755
index 0000000..68201c0
--- /dev/null
+++ b/airootfs/root/.automated_script.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+script_cmdline ()
+{
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ script=*) echo "${param#*=}" ; return 0 ;;
+ esac
+ done
+}
+
+automated_script ()
+{
+ local script rt
+ script="$(script_cmdline)"
+ if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
+ if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
+ wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "${script}" /tmp/startup_script
+ rt=$?
+ fi
+ if [[ ${rt} -eq 0 ]]; then
+ chmod +x /tmp/startup_script
+ /tmp/startup_script
+ fi
+ fi
+}
+
+if [[ -x $0 ]]; then
+ chmod -x $0
+ automated_script
+fi